using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection
{
    class ContestantTeam : ITsPacketProcessor
    {
        public ITsPacketProcessor[] Members { get; }

        public ContestantTeam(params ITsPacketProcessor[] members)
        {
            Members = members;
        }

        public void PushPacket(TsPacket packet)
        {
            foreach (ITsPacketProcessor processor in Members)
            {
                processor.PushPacket(packet);
            }
        }
    }
}
